Create Internal Wallet
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/wallet/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/wallet/{user_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/wallet/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "2cc2129a-0aa8-403b-9013-d0ada9b33142",
"userId": "0f1c30d8-04ce-4070-a03e-6242c18ce1c7",
"walletId": "8f169570-931a-41ef-8939-2d6e778bce93",
"number": "41dddc7c-607d-481c-b9cc-0b0b942983b8",
"status": "PENDING",
"registerDate": "2026-09-09T21:35:52.527499",
"balances": null
}Custody
Create Internal Wallet
By consuming this endpoint you will be able to create a new wallet
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | The access token that authenticates the request. |
| userId | URL | No | The unique identifier of either your assigned clientId or one of your users, depending on who will be the owner of the wallet. You can obtain the ID through the GET /admin/users endpoint. |
| network | Body | No | Blockchain on which the custodial wallet will be created. Use one of the values below. If omitted, the tenant default network is used. Supported networks: POLYGON AVALANCHE ETH ARBITRUM BASE OPTIMISM MONAD UNICHAIN SOLANA APTOS SUI TRON |
POST
/
api
/
v1
/
admin
/
wallet
/
{user_id}
Create Internal Wallet
curl --request POST \
--url https://test-api-kore.kravata.co/api/v1/admin/wallet/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://test-api-kore.kravata.co/api/v1/admin/wallet/{user_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://test-api-kore.kravata.co/api/v1/admin/wallet/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "2cc2129a-0aa8-403b-9013-d0ada9b33142",
"userId": "0f1c30d8-04ce-4070-a03e-6242c18ce1c7",
"walletId": "8f169570-931a-41ef-8939-2d6e778bce93",
"number": "41dddc7c-607d-481c-b9cc-0b0b942983b8",
"status": "PENDING",
"registerDate": "2026-09-09T21:35:52.527499",
"balances": null
}Authorizations
Access token from POST /api/v1/client/token.
Path Parameters
Body
application/json
The body is of type object.

